<?php
declare(strict_types=1);

namespace App\Modules\Dashboard\Controllers;

use App\Core\Controller;
use App\Core\Request;
use App\Core\Response;
use App\Modules\Dashboard\Services\DashboardDataService;

class DashboardController extends Controller
{
    public function index(Request $request): Response
    {
        $data = DashboardDataService::getData();
        return $this->view('Dashboard.Views.index', $data);
    }
}